{ config
, lib
, pkgs
, modulesPath
, system
, inputs
, ...
}: {
  boot = {
    supportedFilesystems = [ "bcachefs" "vfat" ];
    initrd.supportedFilesystems = [ "bcachefs" "vfat" ];
    initrd.luks.devices = {
      # "crypted_1" = {
      #   device = "/dev/disk/by-uuid/9cca6269-6afa-4f77-92ff-2e9eb8fc9bc7";
      #   allowDiscards = true;
      #   bypassWorkqueues = true;
      #   crypttabExtraOpts = [ "nofail" ];
      # };
    };
  };

  swapDevices = [
    # { device = "/dev/disk/by-uuid/83b6aa0a-ff9f-40ef-b728-6540bd5c9365"; }
  ];

  fileSystems =
    let
      automount_opts = "x-systemd.automount,noauto,x-systemd.idle-timeout=60,x-systemd.device-timeout=5s,x-systemd.mount-timeout=5s";
      perm_opts = "uid=1000,gid=100";
      smb_opts = [
        "vers=2.0,credentials=/home/tristand/.smb-secrets"
        perm_opts
        automount_opts
      ];
      sshfs_opts = [
        "allow_other,_netdev,reconnect,ServerAliveInterval=15,IdentityFile=/var/secrets/id_ed25519"
        perm_opts
        automount_opts
      ];
    in
    {
      # TODO Add system partitions

      "/mnt/ServerF" = {
        # device = "//srv-nas-01.local/Server_F";
        device = "//192.168.0.1/Server_F";
        fsType = "cifs";
        options = smb_opts;
      };
      "/mnt/Scans" = {
        # device = "//srv-nas-01.local/Server_F";
        device = "//192.168.0.1/Scans";
        fsType = "cifs";
        options = smb_opts;
      };
      "/mnt/media_v2" = {
        device = "root@23.88.68.113:/media_v2";
        fsType = "sshfs";
        options = sshfs_opts;
      };
    };

  system.fsPackages = [ pkgs.sshfs ];
}
